运维开发网

PackagesNotFoundError: The following packages are not available from current channels

运维开发网 https://www.qedev.com 2020-07-15 07:45 出处:网络 作者:运维开发网整理
今天python在安装一些包(xgboost,mlxtend)的时候遇到这个问题。 按照其他博客的方法,如https://blog.csdn.net/miao0967020148/article/details/85230430可以解决,但是每次安装新包又会出现这个问题,最后看了

今天python在安装一些包(xgboost,mlxtend)的时候遇到这个问题。

PackagesNotFoundError: The following packages are not available from current channels

按照其他博客的方法,如https://blog.csdn.net/miao0967020148/article/details/85230430可以解决,但是每次安装新包又会出现这个问题,最后看了其他一些博客,应该是路径中没有添加需要安装包所在的channel导致,可以通过下面的方法彻底解决:

终端中输入代码:

conda config --add channels conda-forge

再通过conda或者pip安装自己需要的包就不会再出问题了。

注意channel不一定是conda-forge,根据你需要安装包的类型,具体包属于那个类型可以通过代码来查看:

anaconda search -t conda 要安装的包

当然啦如果你需要安装的包比较少也可以直接按照上面给出链接的博客方法进行操作:)

0

精彩评论

暂无评论...
验证码 换一张
取 消